import { useRequest } from '@/use/useHttp'

/**
 *  码单列表获取
 * @returns
 */
export const weightListApi = () => {
  return useRequest({
    url: '/v1/mall/title/list',
    method: 'get',
  })
}

/**
 *  码单添加
 * @returns
 */
export const weightAddApi = () => {
  return useRequest({
    url: '/v1/mall/title',
    method: 'post',
  })
}

/**
 *  码单详情
 * @returns
 */
export const weightDetailApi = () => {
  return useRequest({
    url: '/v1/mall/title',
    method: 'get',
  })
}

/**
 *  码单编辑
 * @returns
 */
export const weightEditApi = () => {
  return useRequest({
    url: '/v1/mall/title',
    method: 'put',
  })
}

/**
 *  码单删除
 * @returns
 */
export const weightDeleteApi = () => {
  return useRequest({
    url: '/v1/mall/title',
    method: 'delete',
  })
}
